package molders

// |@@| C

import (
	"gardening/src/dat/forms"
	"gardening/src/mdl"
)

type CreateSeedProgramFormMolder struct {
}

func (this *CreateSeedProgramFormMolder) ToEntity(form *forms.CreateSeedProgramForm, entity *mdl.SeedProgram) (*mdl.SeedProgram, []string) {
	var changes []string
	entity.Contact = form.Contact
	entity.Description = form.Description
	entity.Name = form.Name
	entity.PlantId = form.PlantId
	return entity, changes
}
func (this *CreateSeedProgramFormMolder) ToForm(form *forms.CreateSeedProgramForm, entity *mdl.SeedProgram) *forms.CreateSeedProgramForm {
	form.Contact = entity.Contact
	form.Description = entity.Description
	form.Name = entity.Name
	form.PlantId = entity.PlantId
	return form
}
